LOCALE::PO4A::DOCBOOK.3PM(1)

NUME
Locale::Po4a::Docbook - convertește documente DocBook XML din/în fișiere PO

DESCRIERE
Scopul proiectului po4a (PO pentru orice) este de a ușura traducerile (și mai interesant, întreținerea traducerilor) folosind instrumente gettext în domenii în care nu erau așteptate, cum ar fi documentația.

Locale::Po4a::Docbook este un modul care ajută la traducerea documentelor DocBook XML în alte limbi [umane].

STAREA ACESTUI MODUL
Acest modul este complet funcțional, deoarece se bazează pe modulul Locale::Po4a::Xml. Acesta definește doar etichetele și atributele traductibile.

Singura problemă cunoscută este că nu se ocupă încă de entități, iar acest lucru include entitățile de includere a fișierelor, dar puteți traduce majoritatea acestor fișiere singure (cu excepția fișierelor tipice de entități) și, de obicei, este mai bine să le păstrați separate.

SUPRASCRIE COMPORTAMENTUL IMPLICIT CU OPȚIUNI DE LINIE DE COMANDĂ
Comportamentul implicit al modulelor furnizate de sistem este stabilit pentru a fi pe partea de siguranță.

De exemplu, eticheta <author> are ca scop implicit să apară sub <para>. Dar este posibil să o utilizați numai sub <bookinfo>. Pentru acest caz, este posibil să doriți să o traduceți independent pentru fiecare autor.

Dacă nu vă place comportamentul implicit al modulului xml și al modulelor sale derivate, puteți furniza opțiuni de linie de comandă pentru a le modifica comportamentul. De exemplu, puteți adăuga următoarele la fișierul de configurare po4a:

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

Acest lucru anulează comportamentul implicit pentru <bookinfo> și <author>, definește ca <bookinfo> și <author> să întrerupă fluxul de date de intrare pe aceste etichete, definește ca <bookinfo> să nu traducă conținutul său etichetat și definește ca <author> să traducă conținutul său etichetat.

CONSULTAȚI ȘI
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTORI
 Jordi Vilalta <jvprat@gmail.com>

DREPTURI DE AUTOR și LICENȚĂ
 Drepturi de autor © 2004 Jordi Vilalta <jvprat@gmail.com>
 Drepturi de autor © 2007-2009 Nicolas François <nicolas.francois@centraliens.net>

Acest program este software liber; îl puteți redistribui și/sau modifica în conformitate cu termenii GPL v2.0 sau o versiune ulterioară (consultați fișierul COPYING).